PrefabFiles = {
	"wendi",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/wendi.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/wendi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wendi.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wendi.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/wendi_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/wendi_silho.xml" ),

    Asset( "IMAGE", "bigportraits/wendi.tex" ),
    Asset( "ATLAS", "bigportraits/wendi.xml" ),

	Asset("IMAGE", "images/wendi.tex"),
	Asset("ATLAS", "images/wendi.xml"),
	
}

AddMinimapAtlas("images/wendi.xml")

local STRINGS = GLOBAL.STRINGS
local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.WENDI = require "speech_wendi"

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "wendi" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
            voice = "dontstarve/maxwell/talk_LP",
            appearanim = "appear",
            idleanim= "idle",
            dialogpreanim = "dialog_pre",
            dialoganim="dial_loop",
            dialogpostanim = "dialog_pst",
            disappearanim = "disappear",
            disableplayer = true,
            skippable = true,
            {
                string = "Say pal.",
                wait = 3,
                anim = nil,
                sound = nil,
            },
            {
                string = "This should teach you not to steal my newspaper!",
                wait = 3,
                anim = nil,
                sound = nil,
            },
        }
    end
end
  
AddPrefabPostInit("maxwellintro", ModMaxwellIntro)



-- strings! Any "wod" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.wendi = "The mixed one"
GLOBAL.STRINGS.CHARACTER_NAMES.wendi = "Wendi"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.wendi = "*Normal girl without powers \n*Runs quickly"
GLOBAL.STRINGS.CHARACTER_QUOTES.wendi = "\"Daamn you Maxwell and your newspapers!\""


-- Let the game know wod is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "wendi")


AddModCharacter("wendi")

